Recommended update for pacemaker

SUSE Recommended Update: Recommended update for pacemaker
Announcement ID: SUSE-RU-2018:3850-1
Rating: moderate
References: #1011240 #1022807 #1024037 #1035822 #1042054 #1053463 #980341
Affected Products:
  • SUSE Linux Enterprise High Availability 12-SP1

An update that has 7 recommended fixes can now be installed.

Description:

This update for pacemaker fixes the following issues:

  • spec: fillup_only if sysconfig/pacemaker or sysconfig/crm_mon not exists. (bsc#980341, bsc#1022807)
  • cmrd: Increase severity when fencing didn't happen. (bsc#1011240)
  • libcrmcommon: Correctly compare XML comments to prevent crmd from getting into infinite election loop. (bsc#1024037)
  • libcrmcommon: Correctly delete XML comments according to their positions. (bsc#1024037)
  • cib: Broadcasts of cib changes should always pass ACLs check. (bsc#1042054)
  • liblrmd: Make sure the operation of a remote resource returns if setup of the key fails. (bsc#1053463)

Additionally, a missing reference for bsc#1035822 got added to the changelog.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise High Availability 12-SP1:
    zypper in -t patch SUSE-SLE-HA-12-SP1-2018-2739=1

Package List:

  • SUSE Linux Enterprise High Availability 12-SP1 (ppc64le s390x x86_64):
    • libpacemaker3-1.1.13-21.3.6
    • libpacemaker3-debuginfo-1.1.13-21.3.6
    • pacemaker-1.1.13-21.3.6
    • pacemaker-cli-1.1.13-21.3.6
    • pacemaker-cli-debuginfo-1.1.13-21.3.6
    • pacemaker-cts-1.1.13-21.3.6
    • pacemaker-cts-debuginfo-1.1.13-21.3.6
    • pacemaker-debuginfo-1.1.13-21.3.6
    • pacemaker-debugsource-1.1.13-21.3.6
    • pacemaker-remote-1.1.13-21.3.6
    • pacemaker-remote-debuginfo-1.1.13-21.3.6

References: